ServerEvents.recipes(event => {

let transitional = 'create:copper_casing'
  event.recipes.createSequencedAssembly('create:spout', 'create:copper_casing', [
    event.recipes.createDeploying(transitional, [transitional, 'create:fluid_pipe']),
    event.recipes.createDeploying(transitional, [transitional, 'minecraft:glass']),
  ]).transitionalItem(transitional)
    .loops(1)
    .id('create:spout')
})